///File : ControlDialog.hpp
//------------------------------------------------------------------------------
/*
    This file is part of LCDnurse.

    LCDnurse is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    LCDnurse is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with LCDnurse.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/spinctrl.h>
#include <wx/event.h>

#include <vector>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "findFile.hpp"
#include "DialogAbout.hpp"
#include "DataManager.hpp"
//------------------------------------------------------------------------------

#if not defined CONTROL_DIALOG_HPP_LCD_NURSE
#define CONTROL_DIALOG_HPP_LCD_NURSE

class ControlDialog : public wxDialog
{
public:
    ControlDialog(wxWindow* parent, wxWindowID id, wxString name, DataManager *Data,  const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxDEFAULT_DIALOG_STYLE );
    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);
    void OnHelp(wxCommandEvent& event);
    void OnDeleteAll(wxCommandEvent& event);
    void OnPanelHide(wxCommandEvent& event);
    void OnColorChoice(wxCommandEvent& event);
    void OnPeriodSpin(wxCommandEvent& event);
    void OnRepair(wxCommandEvent& event);
    //void KeyDown(wxKeyEvent& event);

    void MyRefresh();

private:
    wxButton *m_AboutBt, *m_HelpBt, *m_QuitBt, *m_HideBt, *m_DelAllBt, *m_RepairBt;
    wxSpinCtrl *m_PeriodSpinCtrl;
    wxTextCtrl *m_RectNbTxt;
    wxChoice *m_ColorChoice;

    DataManager *m_Data;

    //DECLARE_EVENT_TABLE()
    enum{Id_ColorChoice, Id_FrequenceSpin};
};

#endif // CONTROL_DIALOG_HPP_LCD_NURSE
